Bug 529883 - Issues on Dell Latitude D630C
Issues on Dell Latitude D630C
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
12
All Linux
medium Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
card_NV86
: Triaged
: 529820 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-20 11:36 EDT by Peter Robinson
Modified: 2009-12-18 06:34 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 06:34:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xorg log number 1 (70.77 KB, text/plain)
2009-10-20 11:36 EDT, Peter Robinson
no flags Details
xorg log number 2 (43.70 KB, text/plain)
2009-10-20 11:36 EDT, Peter Robinson
no flags Details
dmesg output on disabled kms (51.78 KB, text/plain)
2009-10-21 17:55 EDT, Peter Robinson
no flags Details
debug dmesg only laptop screen (122.79 KB, text/plain)
2009-11-18 12:40 EST, Peter Robinson
no flags Details
debug with both dual screens (122.67 KB, text/plain)
2009-11-19 04:38 EST, Peter Robinson
no flags Details

  None (edit)
Description Peter Robinson 2009-10-20 11:36:17 EDT
Created attachment 365371 [details]
xorg log number 1

There's a number of issues with nouveau on F-12 on a Dell Latitude D630C

Firstly plymouth doesn't work at all. You get a black screen with nothing (not sure if its the same or another issue). Eventually you get to a GDM with alot of display corruption which eventually comes good to give a GDM login.

The interface in X on dual screens is very slot with regular lag. Mostly usable most of the time barely usable on a regular basis.

With a dual screen setup when you move from one screen to another you often get a pointer left on one screen when you move to the other.

lspci -v

01:00.0 VGA compatible controller: nVidia Corporation Quadro NVS 135M (rev a1) (prog-if 00 [VGA controller])
	Subsystem: Dell Device 01f9
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at f5000000 (32-bit, non-prefetchable) [size=16M]
	Memory at e0000000 (64-bit, prefetchable) [size=256M]
	Memory at f2000000 (64-bit, non-prefetchable) [size=32M]
	I/O ports at df00 [size=128]
	[virtual] Expansion ROM at f4000000 [disabled] [size=128K]
	Capabilities: [60] Power Management version 2
	Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [78] Express Endpoint, MSI 00
	Capabilities: [100] Virtual Channel <?>
	Capabilities: [128] Power Budgeting <?>
	Capabilities: [600] Vendor Specific Information <?>
	Kernel driver in use: nouveau
	Kernel modules: nouveau, nvidiafb
Comment 1 Peter Robinson 2009-10-20 11:36:54 EDT
Created attachment 365372 [details]
xorg log number 2
Comment 2 Peter Robinson 2009-10-20 11:38:36 EDT
I currently have the following in my xorg.conf file because it was needed for the dual screens in F-11 but I'm not sure if I still need it. I'll test it in the morning when I'm back in the office.

Section "Device"
       Identifier      "Builtin Default nouveau Device 0"
       Driver  "nouveau"
EndSection
Section "Screen"
       Identifier      "Builtin Default nouveau Screen 0"
       Device  "Builtin Default nouveau Device 0"
       SubSection "Display"
               Virtual 3120 1050
       EndSubSection
EndSection
Section "ServerLayout"
       Identifier      "Builtin Default Layout"
       Screen  "Builtin Default nouveau Screen 0"
EndSection
Comment 3 Peter Robinson 2009-10-21 16:16:26 EDT
It seems all the above issues are fixed if I run with a 'nomodeset' kernel parameter.
Comment 4 Peter Robinson 2009-10-21 17:50:01 EDT
lspci -nn
01:00.0 VGA compatible controller [0300]: nVidia Corporation Quadro NVS 135M [10de:042b] (rev a1)
Comment 5 Peter Robinson 2009-10-21 17:53:36 EDT
Machine's smolt profile 
http://www.smolts.org/client/show/pub_b74f411e-54cf-498c-9a77-f86f80658023
Comment 6 Peter Robinson 2009-10-21 17:55:47 EDT
Created attachment 365610 [details]
dmesg output on disabled kms

It actually looks like the ACPI errors I reported in RHBZ 529820 are due to the KMS with the nouveau driver because with it disabled I don't get any of them.


[root@neo ~]# dmesg |grep ACPI
ACPI: RSDP 00000000000fbb10 00024 (v02 DELL  )
ACPI: XSDT 00000000dfe5d200 00064 (v01 DELL    M08     27D80B18 ASL  00000061)
ACPI: FACP 00000000dfe5d09c 000F4 (v04 DELL    M08     27D80B18 ASL  00000061)
ACPI: DSDT 00000000dfe5d800 06114 (v02 INT430 SYSFexxx 00001001 INTL 20050624)
ACPI: FACS 00000000dfe6c000 00040
ACPI: HPET 00000000dfe5d300 00038 (v01 DELL    M08     00000001 ASL  00000061)
ACPI: APIC 00000000dfe5d400 00068 (v01 DELL    M08     27D80B18 ASL  00000047)
ACPI: ASF! 00000000dfe5d000 0007E (v32 DELL    M08     27D80B18 ASL  00000061)
ACPI: MCFG 00000000dfe5d3c0 0003E (v16 DELL    M08     27D80B18 ASL  00000061)
ACPI: TCPA 00000000dfe5d700 00032 (v01                 00000000 ASL  00000000)
ACPI: SLIC 00000000dfe5d49c 00176 (v01 DELL    M08     27D80B18 ASL  00000061)
ACPI: SSDT 00000000dfe5b97e 004CC (v01  PmRef    CpuPm 00003000 INTL 20050624)
ACPI: Local APIC address 0xfee00000
ACPI: PM-Timer IO Port: 0x1008
ACPI: Local APIC address 0xfee00000
ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x01] enabled)
ACPI: LAPIC_NMI (acpi_id[0x00] high edge lint[0x1])
ACPI: LAPIC_NMI (acpi_id[0x01] high edge lint[0x1])
ACPI: IOAPIC (id[0x02] address[0xfec00000] gsi_base[0])
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
ACPI: IRQ0 used by override.
ACPI: IRQ2 used by override.
ACPI: IRQ9 used by override.
Using ACPI (MADT) for SMP configuration information
ACPI: HPET id: 0x8086a201 base: 0xfed00000
ACPI: Core revision 20090521
ACPI: bus type pci registered
ACPI: EC: Look up EC in DSDT
ACPI: BIOS _OSI(Linux) query ignored
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.PCIE.GDCK._STA] (Node ffff88011baa5ea0), AE_AML_INFINITE_LOOP
ACPI Error (uteval-0256): Method execution failed [\_SB_.PCI0.PCIE.GDCK._STA]
(Node ffff88011baa5ea0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.IDE0.SEC0.MAST._STA] (Node ffff88011baad4e0), AE_AML_INFINITE_LOOP
ACPI Error (uteval-0256): Method execution failed
[\_SB_.PCI0.IDE0.SEC0.MAST._STA] (Node ffff88011baad4e0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.IDE1.PRI_.MAST._STA] (Node ffff88011babe000), AE_AML_INFINITE_LOOP
ACPI Error (uteval-0256): Method execution failed
[\_SB_.PCI0.IDE1.PRI_.MAST._STA] (Node ffff88011babe000), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PCI0._INI]
(Node ffff88011baa2888), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.PCIE.CRD0._INI] (Node ffff88011baa5a90), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.PCIE.CRD1._INI] (Node ffff88011baa5c98), AE_AML_INFINITE_LOOP
ACPI: SSDT 00000000dfe6c080 00043 (v01  LMPWR  DELLLOM 00001001 INTL 20050624)
ACPI: Interpreter enabled
ACPI: (supports S0ACPI Error (psparse-0537): Method parse/execution failed
[\SMI_] (Node ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\SMIE] (Node
ffff88011baa0888), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\NEVT] (Node
ffff88011baa0548), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\_GPE._L1C] (Node
ffff88011baa0a90), AE_AML_INFINITE_LOOP
ACPI Exception: AE_AML_INFINITE_LOOP,  S3 S4 S5)
ACPI: Using IOAPIC for interrupt routing
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.PCIE.GDCK._STA] (Node ffff88011baa5ea0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.IDE0.SEC0.MAST._STA] (Node ffff88011baad4e0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.IDE1.PRI_.MAST._STA] (Node ffff88011babe000), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.AGP_.VID_.LCD_._ADR] (Node ffff88011babea90), AE_AML_INFINITE_LOOP
ACPI Error (uteval-0256): Method execution failed
[\_SB_.PCI0.AGP_.VID_.LCD_._ADR] (Node ffff88011babea90), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.AGP_.VID_.DVI_._ADR] (Node ffff88011babec98), AE_AML_INFINITE_LOOP
ACPI Error (uteval-0256): Method execution failed
[\_SB_.PCI0.AGP_.VID_.DVI_._ADR] (Node ffff88011babec98), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.PCIE.GDCK._STA] (Node ffff88011baa5ea0), AE_AML_INFINITE_LOOP
ACPI Error (uteval-0256): Method execution failed [\_SB_.PCI0.PCIE.GDCK._STA]
(Node ffff88011baa5ea0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.PCIE.GDCK._STA] (Node ffff88011baa5ea0), AE_AML_INFINITE_LOOP
ACPI Error (uteval-0256): Method execution failed [\_SB_.PCI0.PCIE.GDCK._STA]
(Node ffff88011baa5ea0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.IDE0.SEC0.MAST._STA] (Node ffff88011baad4e0), AE_AML_INFINITE_LOOP
ACPI Error (uteval-0256): Method execution failed
[\_SB_.PCI0.IDE0.SEC0.MAST._STA] (Node ffff88011baad4e0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.IDE0.SEC0.MAST._STA] (Node ffff88011baad4e0), AE_AML_INFINITE_LOOP
ACPI Error (uteval-0256): Method execution failed
[\_SB_.PCI0.IDE0.SEC0.MAST._STA] (Node ffff88011baad4e0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.IDE1.PRI_.MAST._STA] (Node ffff88011babe000), AE_AML_INFINITE_LOOP
ACPI Error (uteval-0256): Method execution failed
[\_SB_.PCI0.IDE1.PRI_.MAST._STA] (Node ffff88011babe000), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.IDE1.PRI_.MAST._STA] (Node ffff88011babe000), AE_AML_INFINITE_LOOP
ACPI Error (uteval-0256): Method execution failed
[\_SB_.PCI0.IDE1.PRI_.MAST._STA] (Node ffff88011babe000), AE_AML_INFINITE_LOOP
ACPI: ACPI Dock Station Driver: 3 docks/bays found
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PCI0._CRS]
(Node ffff88011baa28f0), AE_AML_INFINITE_LOOP
ACPI Error (uteval-0256): Method execution failed [\_SB_.PCI0._CRS] (Node
ffff88011baa28f0), AE_AML_INFINITE_LOOP
ACPI: PCI Root Bridge [PCI0] (0000:00)
pci 0000:00:1f.0: quirk: region 1000-107f claimed by ICH6 ACPI/GPIO/TCO
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PCIE._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.AGP_._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.RP01._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.RP02._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.RP06._PRT]
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.PCIE.GDCK._STA] (Node ffff88011baa5ea0), AE_AML_INFINITE_LOOP
ACPI Error (uteval-0256): Method execution failed [\_SB_.PCI0.PCIE.GDCK._STA]
(Node ffff88011baa5ea0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.PCIE.GDCK._STA] (Node ffff88011baa5ea0), AE_AML_INFINITE_LOOP
ACPI Error (uteval-0256): Method execution failed [\_SB_.PCI0.PCIE.GDCK._STA]
(Node ffff88011baa5ea0), AE_AML_INFINITE_LOOP
ACPI: PCI Interrupt Link [LNKA] (IRQs 9 10 11) *5
ACPI: PCI Interrupt Link [LNKB] (IRQs 5 7) *3
ACPI: PCI Interrupt Link [LNKC] (IRQs 9 *10 11)
ACPI: PCI Interrupt Link [LNKD] (IRQs 5 7 *9 10 11)
ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 7 9 10 *11 12 14 15)
ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 6 7 9 *10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 7 *9 10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 7 9 10 11 12 14 15) *0, disabled.
PCI: Using ACPI for IRQ routing
pnp: PnP ACPI init
ACPI: bus type pnp registered
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PCI0._CRS]
(Node ffff88011baa28f0), AE_AML_INFINITE_LOOP
ACPI Error (uteval-0256): Method execution failed [\_SB_.PCI0._CRS] (Node
ffff88011baa28f0), AE_AML_INFINITE_LOOP
pnp 00:00: can't evaluate _CRS: 12321ACPI Error (psparse-0537): Method
parse/execution failed [\SMI_] (Node ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.PCIE.GDCK._STA] (Node ffff88011baa5ea0), AE_AML_INFINITE_LOOP
ACPI Error (uteval-0256): Method execution failed [\_SB_.PCI0.PCIE.GDCK._STA]
(Node ffff88011baa5ea0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.IDE0.SEC0.MAST._STA] (Node ffff88011baad4e0), AE_AML_INFINITE_LOOP
ACPI Error (uteval-0256): Method execution failed
[\_SB_.PCI0.IDE0.SEC0.MAST._STA] (Node ffff88011baad4e0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.IDE1.PRI_.MAST._STA] (Node ffff88011babe000), AE_AML_INFINITE_LOOP
ACPI Error (uteval-0256): Method execution failed
[\_SB_.PCI0.IDE1.PRI_.MAST._STA] (Node ffff88011babe000), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.MB1_._CRS]
(Node ffff88011bade3a8), AE_AML_INFINITE_LOOP
ACPI Error (uteval-0256): Method execution failed [\_SB_.MB1_._CRS] (Node
ffff88011bade3a8), AE_AML_INFINITE_LOOP
pnp: PnP ACPI: found 15 devices
ACPI: ACPI bus type pnp unregistered
acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
ACPI: AC Adapter [AC] (off-line)
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.LID_._LID]
(Node ffff88011bae5888), AE_AML_INFINITE_LOOP
ACPI: Lid Switch [LID]
ACPI: Power Button [PBTN]
ACPI: Sleep Button [SBTN]
ACPI: SSDT 00000000dfe5c4b4 002C8 (v01  PmRef  Cpu0Ist 00003000 INTL 20050624)
ACPI: SSDT 00000000dfe5be4a 005E5 (v01  PmRef  Cpu0Cst 00003001 INTL 20050624)
ACPI: CPU0 (power states: C1[C1] C2[C2] C3[C3])
ACPI: Processor [CPU0] (supports 8 throttling states)
ACPI: SSDT 00000000dfe5c77c 000C4 (v01  PmRef  Cpu1Ist 00003000 INTL 20050624)
ACPI: SSDT 00000000dfe5c42f 00085 (v01  PmRef  Cpu1Cst 00003000 INTL 20050624)
ACPI: CPU1 (power states: C1[C1] C2[C2] C3[C3])
ACPI: Processor [CPU1] (supports 8 throttling states)
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.PCIE.GDCK._STA] (Node ffff88011baa5ea0), AE_AML_INFINITE_LOOP
ACPI Error (uteval-0256): Method execution failed [\_SB_.PCI0.PCIE.GDCK._STA]
(Node ffff88011baa5ea0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.IDE0.SEC0.MAST._STA] (Node ffff88011baad4e0), AE_AML_INFINITE_LOOP
ACPI Error (uteval-0256): Method execution failed
[\_SB_.PCI0.IDE0.SEC0.MAST._STA] (Node ffff88011baad4e0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.IDE1.PRI_.MAST._STA] (Node ffff88011babe000), AE_AML_INFINITE_LOOP
ACPI Error (uteval-0256): Method execution failed
[\_SB_.PCI0.IDE1.PRI_.MAST._STA] (Node ffff88011babe000), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.AGP_.VID_.LCD_._ADR] (Node ffff88011babea90), AE_AML_INFINITE_LOOP
ACPI Error (uteval-0256): Method execution failed
[\_SB_.PCI0.AGP_.VID_.LCD_._ADR] (Node ffff88011babea90), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.AGP_.VID_.DVI_._ADR] (Node ffff88011babec98), AE_AML_INFINITE_LOOP
ACPI Error (uteval-0256): Method execution failed
[\_SB_.PCI0.AGP_.VID_.DVI_._ADR] (Node ffff88011babec98), AE_AML_INFINITE_LOOP
ACPI: Thermal Zone [THM] (57 C)
ACPI: Battery Slot [BAT0] (battery absent)
ACPI: Battery Slot [BAT1] (battery absent)
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.IDE1.PRI_.MAST._STA] (Node ffff88011babe000), AE_AML_INFINITE_LOOP
ACPI Error (uteval-0256): Method execution failed
[\_SB_.PCI0.IDE1.PRI_.MAST._STA] (Node ffff88011babe000), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.IDE1.PRI_.MAST._STA] (Node ffff88011babe000), AE_AML_INFINITE_LOOP
ACPI Error (uteval-0256): Method execution failed
[\_SB_.PCI0.IDE1.PRI_.MAST._STA] (Node ffff88011babe000), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.IDE0.SEC0.MAST._STA] (Node ffff88011baad4e0), AE_AML_INFINITE_LOOP
ACPI Error (uteval-0256): Method execution failed
[\_SB_.PCI0.IDE0.SEC0.MAST._STA] (Node ffff88011baad4e0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.IDE0.SEC0.MAST._STA] (Node ffff88011baad4e0), AE_AML_INFINITE_LOOP
ACPI Error (uteval-0256): Method execution failed
[\_SB_.PCI0.IDE0.SEC0.MAST._STA] (Node ffff88011baad4e0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.AGP_.VID_._DOD] (Node ffff88011babe5b0), AE_AML_INFINITE_LOOP
ACPI Exception: AE_AML_INFINITE_LOOP, Evaluating _DOD 20090521 video-1851
ACPI Error (psparse-0537): Method parse/execution failed [\SMI_] (Node
ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.AGP_.VID_.LCD_._ADR] (Node ffff88011babea90), AE_AML_INFINITE_LOOP
ACPI: Cant attach deviceACPI Error (psparse-0537): Method parse/execution
failed [\SMI_] (Node ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.AGP_.VID_.DVI_._ADR] (Node ffff88011babec98), AE_AML_INFINITE_LOOP
ACPI: Cant attach deviceACPI Error (psparse-0537): Method parse/execution
failed [\SMI_] (Node ffff88011ba99dd0), AE_AML_INFINITE_LOOP
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.AGP_.VID_._DOS] (Node ffff88011babe548), AE_AML_INFINITE_LOOP
ACPI: Video Device [VID] (multi-head: yes  rom: no  post: no)
ACPI: WMI: Mapper loaded
parport_pc 00:0a: reported by Plug and Play ACPI
Comment 7 Peter Robinson 2009-10-25 13:44:01 EDT
*** Bug 529820 has been marked as a duplicate of this bug. ***
Comment 8 Matěj Cepl 2009-11-05 12:18:31 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 9 Peter Robinson 2009-11-05 12:24:08 EST
since this bug has been filed there has been no chance in the behaviour and I've been asked for no further information. Its still broken and I still have to use 'nomodeset' to get a usable system that still has major regressions from F-11.
Comment 10 Bug Zapper 2009-11-16 08:53:57 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Ben Skeggs 2009-11-17 17:56:51 EST
Are you able to attach the output of the "dmesg" command when booting with "drm.debug=15 3".

Thanks.
Comment 12 Peter Robinson 2009-11-17 18:28:21 EST
(In reply to comment #11)
> Are you able to attach the output of the "dmesg" command when booting with
> "drm.debug=15 3".

Added it to my grub.conf so I remember to do it in the morning.
Comment 13 Peter Robinson 2009-11-18 08:57:16 EST
OK. Adding that command line option gave me one error which I tried to capture but had issues with the quality of the photo. I'm going to try again but I'm working so don't have time atm.

The error was (I'm missing bit in the middle due to glare).

======
[drm:drm_mode_rmfb] <missing> remove a fb that we didn't own

Boot has failed, sleeping
======

With a dual screen (laptop plus DVI) the only way I can it to boot is to use the nomodeset option.
Comment 14 Peter Robinson 2009-11-18 12:40:18 EST
Created attachment 370144 [details]
debug dmesg only laptop screen
Comment 15 Peter Robinson 2009-11-18 12:42:58 EST
The above dmesg is from just the laptop screen (no external monitor). On a reboot I just got a completely black screen on boot. When I power cycled it and booted with out the debug it booted OK.

I'm not sure how I can debug the dual screen error where it reports the boot has failed.
Comment 16 Peter Robinson 2009-11-19 04:38:17 EST
Created attachment 370304 [details]
debug with both dual screens

Woohoo. I managed to get a complete debug with dual screens attached!
Comment 17 Peter Robinson 2009-12-18 06:34:01 EST
The last couple of releases of kernel/xorg-server/nouveau have really stabilised this and I can consistently boot single and dual screen with modesetting enabled without issues! Woo hoo! So I'm going to close this off. THANKS nouveau rocks! :-)

Note You need to log in before you can comment on or make changes to this bug.